﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Model.RunePage;

namespace EFlib
{
    public class EFRunePage
    {
        [Key]
        public string Name { get; set; }
        public List<KeyValuePair<Category, EFRune>> RunesList { get; set; }
        public ReadOnlyDictionary<Category, EFRune> Runes => new ReadOnlyDictionary<Category, EFRune>(RunesList.ToDictionary(kv => kv.Key, kv => kv.Value));
    }
}
